petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSGetStepNumber

Gets the number of steps completed.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetStepNumber(TS ts,PetscInt *steps)

Not Collective

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

steps -number of steps completed so far

### Keywords

TS, timestep, get, iteration, number

### See Also

TSGetTime(), TSGetTimeStep(), TSSetPreStep(), TSSetPreStage(), TSSetPostStage(), TSSetPostStep()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex13.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages